//
//  ViewController.swift
//  ReactiveKitExample
//
//  Created by Maor Shams on 26/03/2018.
//  Copyright © 2018 MSApps. All rights reserved.
//

import UIKit
import ReactiveKit
import Bond
class ViewController: UIViewController {

    @IBOutlet weak var emailTextfield: UITextField!
    @IBOutlet weak var passwordTextfield: UITextField!
    @IBOutlet weak var signinButton: UIButton!
    
    let viewModel = ViewModel()
    
    override func viewDidLoad() {
        super.viewDidLoad()

        let isValidData = combineLatest(emailTextfield.reactive.text, passwordTextfield.reactive.text){ email,password in
            return self.viewModel.isValidEmail(email ?? "") && self.viewModel.isValidPassword(password ?? "")
        }
    
        isValidData.bind(to: signinButton.reactive.isEnabled)
        
    }
}

